Page MenuHomePhabricator

Communicate enabling Extension:3d on Commons
Closed, ResolvedPublic

Tokens
"Love" token, awarded by Jopparn."Love" token, awarded by Keegan."Barnstar" token, awarded by Elitre."Party Time" token, awarded by Multichill."Barnstar" token, awarded by Richard_Nevell_WMUK."Cookie" token, awarded by Mrjohncummings."Love" token, awarded by JeanFred.
Assigned To
Authored By
CKoerner_WMF, Feb 23 2017

Description

Background
As work on T132058 nears its conclusion we'll need to reach out to the Commons community to let them know of the change and address any concerns or questions.

Success criteria
Commons community is aware of the new feature being developed, are provided an opportunity to express concerns and discuss, and are informed of the eventual deployment - assuming the first two were completed sufficiently: )
Work done in support:

Timeline
Q2 (Oct-Dec 2017)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

If we can get some advance notice on this, I just had a meeting with the new Smithsonian digitization head, and she is very keen to contribute models from 3d.si.edu to Commons, so they would be a great partner to showcase content from when this launches.

It is very exciting to see all the pieces coming along. I am taking the liberty to add Wikimedia-Blog-Content as a heads up to Comms, just in case they are interested.

In preparation of this feature being available on Commons we asked the community some questions related to concerns over patented works and how to make contributors aware of policy.

https://commons.wikimedia.org/wiki/Commons:Village_pump#Preparing_for_3D_models_on_Commons

@Fuzheado good idea. I've created a task and encourage folks to consider other communities or organizations to include.

T163480

@Mrjohncummings and all, I took a first pass at something that looks like a blog post. I used some of the same language for a proposed announcement on Commons. Please feel free to dig in and edit.

https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/Wikimedia,_now_in_3D

P.S. The feature is enabled on Beta Commons if you'd like to see how it works and incorporate more about the feature in the blog post.

example: https://commons.wikimedia.beta.wmflabs.org/wiki/File:Bird_Figure_Nigeria_CNCC_1937.2.stl#/media/File:Bird_Figure_Nigeria_CNCC_1937.2.stl

@CKoerner_WMF will this blog post be done before or after the extension is enabled on Commons? If it is posted afterwards I would be very happy to work on creating some showcase uses on Wikipedia that we could point to, @Ainali, @Richard_Nevell_WMUK and @Fuzheado I think you might like to do this too?

@The.ed17 owns the blog schedule. Ed, what do you think about @Mrjohncummings' idea of a post-deployment blog post?

Aklapper edited subscribers, added: EdErhart-WMF; removed: The.ed17.May 2 2017, 8:53 AM

This does not sound like volunteer work, hence removing @The.ed17

I gave a try at uploading an Stl on the Beta cluster (a conversion from the Obj on Sketchfab) :)

(I had to resort to the old uploader as the UploadWizard kept failing with a "Cannot save temporary state" or smth like that)

Elitre added a comment.May 3 2017, 1:55 PM

I gave a try at uploading an Stl on the Beta cluster (a conversion from the Obj on Sketchfab) :)
(I had to resort to the old uploader as the UploadWizard kept failing with a "Cannot save temporary state" or smth like that)

Now at T164368

Hey all, thanks for looping me in. I believe @dr0ptp4kt is planning to write up a blog post for when this is deployed as a beta feature—we talked last week about something similar. If I'm wrong, Adam, please let me know!

The nature of this is such that a conventional beta feature isn't an option - when it goes to production it's live. That said, yes, we'd like to ready the blog post prior to production rollout.

Current progress is we're doing QA (@ABorbaWMF ) and heuristic evaluation (@Nirzar) and awaiting feedback. On that last point, thanks @JeanFred for flagging the issue and @Elitre for filing T164368: UploadWizard fails on beta with "Server failed to store temporary file" when uploading large files. After resolving critical bugs and making necessary adjustments, we'll start the march toward production, including the blog post!

@Mrjohncummings is there a preferred email address I could use to grant you access on the Google Doc? Feel free to send it over to me at my abaso (@) wikimedia.org account.

@Mrjohncummings update: although I saw the link to the draft at https://meta.wikimedia.org/wiki/Wikimedia_Blog/Drafts/Wikimedia,_now_in_3D I hadn't realized that was becoming the place where people were working. I think no need to do stuff in Google Docs, let's just use that draft space. CC @CKoerner_WMF

@r0ptp4kt The main advantage I can see of waiting till just after it is a available is that we can create some 'showcase' objects and Wikipedia articles to show what is possible. Why do you want the blog post to come out before it is available on Commons?

Thanks

@Mrjohncummings I'm okay with either of blog post at the time of launch or shortly after; the only downside risk of if it's after is if there's harrowing vandalism and we have to be on the reactive side of the story. But that's really a risk anyway! I definitely understand the notion that with a few good examples present in fact on production hosting it will be that much more compelling because readers will actually be able to try it out.

@dr0ptp4kt cool, I think shortly after would be nice, allow time in case anything goes a bit wrong. I'll keep an eye out for more good examples to add to the blog post :)

I just sent another reminder (trying to cover all venues!) to the commons-l mailing list letting folks know about the coming feature. I pointed folks to the discussion on Commons and the beta cluster for testing.

https://lists.wikimedia.org/pipermail/commons-l/2017-May/007833.html

CKoerner_WMF updated the task description. (Show Details)May 5 2017, 5:18 PM
dr0ptp4kt moved this task from Backlog to Next Up on the Reading-Admin board.
dr0ptp4kt moved this task from Untriaged to Doing on the Multimedia board.
Jona added a subscriber: Jona.Jun 2 2017, 11:16 AM

Hi all! I'm going through the blog content backlog and wanted to check on the status of this: Is there anything we can do to help? Do you have an expected release date? We'd love to add this to our calendar.

@MelodyKramer Nothing pressing at the moment, but definitely as we get closer to enabling this feature. The (very early and likely to change) roadmap has deploying as a goal for Q1 of this coming fiscal year. In English, that means July - Sept 2017.

Sounds good @CKoerner_WMF - please ping one of us when you're ready for next steps! I see this as a delightful blog post where we could have a lot of fun....Suggested post title: GET OUT YOUR 3-D GLASSES.... 😸

Qgil added a comment.Jun 21 2017, 7:38 AM

More likely GET INK FOR YOUR 3-D PRINTER. ;)

dr0ptp4kt moved this task from Next Up to Adam Radar on the Reading-Admin board.Jul 20 2017, 10:28 PM

As a first upload, it could also be very cool to make it the puzzleglobe, already available in STL.

As a first upload, it could also be very cool to make it the puzzleglobe, already available in STL.

I think this one specifically? https://github.com/slashme/WikipediaGlobePrintable/blob/master/WikipediaGlobeOnePiece.stl

Would be nice to share the oher versions as well obviously

As a first upload, it could also be very cool to make it the puzzleglobe, already available in STL.

I think this one specifically? https://github.com/slashme/WikipediaGlobePrintable/blob/master/WikipediaGlobeOnePiece.stl
Would be nice to share the oher versions as well obviously

As the person who re-drew the logo to clean up the geometry, and exported it to STL, I would be extremely happy if this were to happen.

This would be up to comms but we can use this STL as example when creating assets for blogposts and any subsequent external communication around this feature!

cc @MelodyKramer

I love the idea of using that STL for the blog post — @CKoerner_WMF, please let me know when the post draft is finalized for an edit. I see the link but am unsure if it's ready for me to jump in!

Mel

@MelodyKramer feel free to edit (same to anyone else) the draft however you see fit.

Related, the Wikimedia Foundation's legal team recently wrote a post about 3D files and 3D printing. Some interesting thoughts there.

https://meta.wikimedia.org/wiki/Wikilegal/3D_files_and_3D_printing

I shared this post with the Commons community:

https://commons.wikimedia.org/wiki/Commons:Village_pump#Wikilegal_post_on_3D_files_and_3D_printing

@CKoerner_WMF This looks really good to me - what's the timeline for publication? I can add to our content calendar once I have that information handy.

MarkTraceur moved this task from Doing to Tracking on the Multimedia board.Aug 28 2017, 4:44 PM

(moving away from MM's workflow because most of our day-to-day doesn't touch this)

@Mrjohncummings I just emailed you with an intro to a potential collaborator. Heads up!

Qgil added a project: Goal.Oct 4 2017, 8:07 AM

This task is a Goal. Please define in the description the work that is left in order to complete the Readers-Community-Engagement.

CKoerner_WMF updated the task description. (Show Details)Oct 16 2017, 4:45 PM
CKoerner_WMF updated the task description. (Show Details)

I have a draft announcement for the Commons community:

https://commons.wikimedia.org/wiki/User:CKoerner_(WMF)/3D_announcement

I've sent it to Ramsey for review. I'll post this to Commons Village Pump, commons-l, wikitech-l, add a mention in Tech News and maybe even Wikimedia-l :) once reviewed.

CKoerner_WMF updated the task description. (Show Details)Nov 7 2017, 10:17 PM

Message posted to the communities via the Village Pump, Tech News, and mailing lists. I did not post to wikimedia-l as to limit cross-posting. I will post there once the feature is enabled.

Can I suggest some of the first models uploaded are from New Palmyra? Given that it was started by Bassel Khartabil, this would be really nice thing to do.

http://www.newpalmyra.org/

Also including this in the blog post would be great.

Can I suggest some of the first models uploaded are from New Palmyra? Given that it was started by Bassel Khartabil, this would be really nice thing to do.
http://www.newpalmyra.org/
Also including this in the blog post would be great.

Hi John. This is already planned and in progress. Look for it as part of the official launch announcement.

Can I suggest some of the first models uploaded are from New Palmyra? Given that it was started by Bassel Khartabil, this would be really nice thing to do.
http://www.newpalmyra.org/
Also including this in the blog post would be great.

Hi John. This is already planned and in progress. Look for it as part of the official launch announcement.

👍👍👍👍👍👍👍👍👍

I love it when a plan comes together. ❤️

A reminder that this is still on November's board, so it could either be pushed further or closed based on what's left to do. Thank you!

CKoerner_WMF raised the priority of this task from Normal to High.Dec 22 2017, 4:48 PM
CKoerner_WMF lowered the priority of this task from High to Normal.Dec 22 2017, 6:29 PM
TheDJ closed this task as Resolved.Feb 21 2018, 11:14 AM
TheDJ added a subscriber: TheDJ.

As there is now a blogpost on this, I'm calling it resolved. :)